Name:          fuse-ext2
Version:       0.0.7
Release:       9%{?dist}
Summary:       Ext2/3/4 file-system support for FUSE
Group:         System Environment/Base
License:       GPLv2+
URL:           https://sourceforge.net/projects/fuse-ext2/
Source0:       http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
               # corrects mount.fuse-ext2 instalation path
Patch0:        %{name}-makefile-am.patch
               # fixes uninitialized value revealed by the valgrind
Patch1:        %{name}-valgrind.patch
               # accepts read-only filesystem images in "ro" mode
Patch2:        %{name}-readonly.patch
               # removes internal version of the e2fsprogs to be sure that
               # we will use the system one
Patch3:        %{name}-internal-e2fsprogs-removal.patch
               # fixes build with automake >= 1.12
Patch4:        %{name}-configure.patch
Patch5:        %{name}-op-statfs.patch
               # fix compilation error for gcc 8.x
Patch6:        %{name}-fix-for-gcc8.patch
               # fix compilation warning
Patch7:        %{name}-file-seek-warning.patch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: fuse-devel >= 2.6
BuildRequires: e2fsprogs-devel >= 1.41
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool


%description
Fuse-ext2 allows to mount an ext2/3/4 file-system devices or images with
read write support. It uses FUSE support (Filesystem in Userspace)
included in modern Linux kernels.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
rm -rf e2fsprogs-1.41.9


%build
autoreconf -si
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
rm -rf %{buildroot}/sbin/mount.fuse-ext2
rm -rf %{buildroot}%{_bindir}/fuse-ext2.probe
rm -rf %{buildroot}%{_bindir}/fuse-ext2.mke2fs
rm -rf %{buildroot}%{_bindir}/fuse-ext2.e2label
rm -rf %{buildroot}%{_libdir}/umview/modules/umfuseext2.a
rm -rf %{buildroot}%{_libdir}/umview/modules/umfuseext2.so
rm -rf %{buildroot}%{_libdir}/pkgconfig/fuse-ext2.pc
pushd %{buildroot}/sbin
ln -s ..%{_bindir}/fuse-ext2 mount.fuse-ext2
popd


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING README AUTHORS ChangeLog
/sbin/mount.fuse-ext2
%{_bindir}/fuse-ext2
%{_mandir}/man1/fuse-ext2.1*


%changelog
* Tue Aug 21 2018 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 0.0.7-9
- add missing BR gcc-c++

* Thu Mar 15 2018 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 0.0.7-8
- fix compilation error for gcc 8.x

* Mon Mar 12 2018 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 0.0.7-7
- add BR (gcc).

* Wed Oct 10 2012 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 0.0.7-6
- busy loop patch added

* Fri Sep 28 2012 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 0.0.7-5
- fix for automake 1.12

* Wed Nov 17 2010 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 0.0.7-4
- removed internal e2fsprogs library to be sure we will use the system one

* Wed Aug 25 2010 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 0.0.7-3
- fixed build under the debbuild control,
- fixed build on the F-9

* Mon Aug 23 2010 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 0.0.7-2
- readonly patch added

* Wed Aug 18 2010 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 0.0.7-1
- initial RPM release
